package com.its.vms.dao.mapper;

import com.its.vms.entity.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;

@Mapper
public interface VmsManageMapper {

    int initVmsDsplPrst(HashMap<String, Object> obj);

    List<TbVmsOnOffTime> selectVmsOnOffTime();
    List<TbVmsIncd> selectVmsIncd();
    List<TbVmsSchedule> selectVmsDsplSchedule();
    List<TbVmsOperMode> selectVmsOperMode();

    int updateVmsDsplPrst(@Param("obj") TbVmsDsplPrst obj);
    int mergeVmsDsplPrst(@Param("obj") TbVmsDsplPrst obj);
    int insertVmsDsplPrstHs(@Param("obj") TbVmsDsplPrst obj);
    int createVmsDsplPrstHs(@Param("obj") TbVmsDsplPrstResult obj);

    int updateVmsDsplPrstResult(@Param("obj") VmsDsplDnldResult obj);
    int insertVmsDsplPrstHsResult(@Param("obj") VmsDsplDnldResult obj);

}
